# Uses of Interface
classycle.util.StringPattern

Packages that use StringPattern
Package
Description
classycle
classycle.ant
classycle.dependency
classycle.util

## Uses of StringPattern in classycle

Fields in classycle declared as StringPattern
Modifier and Type
Field
Description
`protected StringPattern`
CommandLine.`_reflectionPattern`
Methods in classycle that return StringPattern
Modifier and Type
Method
Description
`StringPattern`
CommandLine.`getPattern()`
Returns the pattern fully qualified class names have to match.
`StringPattern`
CommandLine.`getReflectionPattern()`
Returns the reflection pattern as extracted from the option `-reflectionPattern`.
Methods in classycle with parameters of type StringPattern
Modifier and Type
Method
Description
`static AtomicVertex[]`
Parser.`readClassFiles(String[] classFiles, StringPattern pattern, StringPattern reflectionPattern, boolean mergeInnerClasses)`
Reads the specified class files and creates a directed graph where each vertex represents a class.
Constructors in classycle with parameters of type StringPattern
Modifier
Constructor
Description
``
`Analyser(String[] classFiles, StringPattern pattern, StringPattern reflectionPattern, boolean mergeInnerClasses)`
Creates an instance for the specified files or folders which are filtered by the specified `StringPattern` object.

## Uses of StringPattern in classycle.ant

Methods in classycle.ant that return StringPattern
Modifier and Type
Method
Description
`protected StringPattern`
ClassycleTask.`getPattern()`
`protected StringPattern`
ClassycleTask.`getReflectionPattern()`

## Uses of StringPattern in classycle.dependency

Methods in classycle.dependency that return StringPattern
Modifier and Type
Method
Description
`StringPattern`
DependencyResult.`getFinalSet()`
Returns the pattern describing the final set.
`StringPattern`
DependencyResult.`getStartSet()`
Returns the pattern describing the start set.
Constructors in classycle.dependency with parameters of type StringPattern
Modifier
Constructor
Description
``
`CheckCyclesStatement(StringPattern set, int size, boolean cycles, classycle.dependency.SetDefinitionRepository repository)`
``
`CheckSetStatement(StringPattern set, classycle.dependency.SetDefinitionRepository repository)`
``
`DependencyPathsRenderer(Vertex[] graph, StringPattern startSetPattern, StringPattern finalSetPattern)`
``
`DependencyResult(StringPattern startSet, StringPattern finalSet, String statement, AtomicVertex[] paths)`
``
`DependencyStatement(StringPattern[] startSets, StringPattern[] finalSets, String dependencyType, classycle.dependency.SetDefinitionRepository repository, ResultRenderer renderer)`
``
`LayeringStatement(StringPattern[][] layers, boolean strictLayering, classycle.dependency.SetDefinitionRepository repository, classycle.dependency.LayerDefinitionRepository layerRepository, ResultRenderer renderer)`
``
`PatternVertexCondition(StringPattern pattern)`

## Uses of StringPattern in classycle.util

Classes in classycle.util that implement StringPattern
Modifier and Type
Class
Description
`class`
`AndStringPattern`
Logical AND Operation on a sequence of `StringPatterns`.
`class`
`NotStringPattern`
Logical NOT operation on the result of a wrapped `StringPattern`.
`class`
`OrStringPattern`
Logical OR Operation on a sequence of `StringPatterns`.
`class`
`StringPatternSequence`
Sequence of `StringPatterns`.
`class`
`TrueStringPattern`
String pattern which return `true` in any case.
`class`
`WildCardPattern`
Wildcard string pattern matching class.
Fields in classycle.util with type parameters of type StringPattern
Modifier and Type
Field
Description
`protected final List<StringPattern>`
StringPatternSequence.`_patterns`
Methods in classycle.util that return StringPattern
Modifier and Type
Method
Description
`static StringPattern`
WildCardPattern.`createFromsPatterns(String patterns, String delimiters)`
Returns a `StringPattern` object based on a sequences of wild-card patterns separated by the specified delimiter characters.
Methods in classycle.util with parameters of type StringPattern
Modifier and Type
Method
Description
`void`
StringPatternSequence.`appendPattern(StringPattern pattern)`
Appends the specified pattern.
Constructors in classycle.util with parameters of type StringPattern
Modifier
Constructor
Description
``
`AndStringPattern(StringPattern... pattern)`
Creates instance with specified patterns.
``
`NotStringPattern(StringPattern pattern)`
Creates an instance based on the specified pattern.
``
`OrStringPattern(StringPattern... pattern)`
Creates instance with specified patterns.
`protected`
`StringPatternSequence(StringPattern[] pattern)`